## org.eclipse.emf.compare.ui
Interface ICompareEditorPartListener

    public interface ICompareEditorPartListener

Listens for events sent by `ModelContentMergeViewers`.

Method Summary
`void` `selectedTabChanged(int newIndex)` Sent when the viewer changes tabs.
`void` `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)` Sent when the selection changes in one of the displayed tabs.
`void` `updateCenter()` Notifies that the center part of the viewer needs to be updated.

Method Detail

### selectedTabChanged

    void selectedTabChanged(int newIndex)

  Sent when the viewer changes tabs.

  Parameters:
    `newIndex` - Index of the newly selected tab.

### selectionChanged

    void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

  Sent when the selection changes in one of the displayed tabs.

  Parameters:
    `event` - Object describing the selection changed event.

### updateCenter

    void updateCenter()

  Notifies that the center part of the viewer needs to be updated.

Copyright 2006 IBM Corporation and others. All Rights Reserved.